Subject: RE: Proposed NSEC/NSEC3 transition mechanism

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Sun, 21 May 2006 09:09:44 -0700

> From: bert hubert [mailto:[email-masked]] 

> We must be scaring the pants of these people with our 
> non-zug-endet-hier algorithms.
> 
> Also, to quote Kernighan: 
> 
> 	Everyone knows that debugging is twice as hard as 
> writing a program
> 	in the first place. So if you are as clever as you can 
> be when you
> 	write it, how will you ever debug it?
> 
> The applies just as well to programs as to protocols. Most 
> people would agree DNSSEC is "as clever as we can be". It is 
> at least for my limited brain.

Fortunately when we debug the program we have the help of the computer which has a much better understanding of what its response to the commands we issue will be than we have ourselves.

When debugging a program I start with a very clear idea of what each part of the program is intended to do. I then design test procedures that are intended to verify that it does in fact perform as I expect.

It seems to me that at this stage the group has captured as much understanding of the problem that can be usefully gained by theory. It is time to test this particular module. Six years is ample time to have waited.

Requirements capture is not the same as debugging. Until you build the system and observe how it is used by P-E-O-P-L-E you won't understand the real requirements. We are dealling with a bunch of people that are not even users, they are wreckers.

> So who here honestly thinks we won't be needing NSEC4 or DNSSEC-ter?

We could have got to this point five years ago if people had been willing to accept the validity of the use cases and requirements raised. I find it somewhat ironic to see that the possibility we might not have captured every imaginable requirement and fulfilled it is being used to argue against this attempt to meet requirements that have been identified.

If you have a requirement that you think is a show stopper then raise it. But don't ask for the whole world to stop while we wait on the possibility that you might come up with something.

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>